Subject: Errata to RFC 3973

From: Mark Doll <[email-masked]>
Date: Wed, 16 May 2007 14:21:17 +0200

Dear RFC Editor Team, PIM-DM authors!

Here are three Errata to RFC 3973 "Protocol Independent Multicast - Dense Mode
(PIM-DM): Protocol Specification (Revised)".

In Section 4.6.1, it says:

   assert_metric
   my_assert_metric(S,G,I) {
     if (CouldAssert(S,G,I) == TRUE) {
       return spt_assert_metric(S,G,I)
     } else {
       return infinite_assert_metric()
     }
   }

It should say:

   assert_metric
   my_assert_metric(S,G,I) {
     if (CouldAssert(S,G,I) == TRUE) {
       return spt_assert_metric(S,I)
     } else {
       return infinite_assert_metric()
     }
   }

Rationale: In Section 4.6.1, spt_assert_metric(S,I) is defined to have two
parameters, not three.

In Section 4.6.1, it says:

   assert_metric
   spt_assert_metric(S,I) {
     return {0,MRIB.pref(S),MRIB.metric(S),my_addr(I)}
   }

It should say:

   assert_metric
   spt_assert_metric(S,I) {
     return {MRIB.pref(S),MRIB.metric(S),my_addr(I)}
   }

Rationale: In Section 4.6.1, assert_metric is defined to be a 3-tupel, not a
4-tupel.

In Section 4.6.1, it says:

   assert_metric
   infinite_assert_metric() {
     return {1,infinity,infinity,0}
   }

It should say:

   assert_metric
   infinite_assert_metric() {
     return {infinity,infinity,0}
   }

Rationale: In Section 4.6.1, assert_metric is defined to be a 3-tupel, not a
4-tupel.

Remark: In Section 4.7.10 it says, the 4th value is "The Rendezvous Point Tree
bit. Set to 0 for PIM-DM. Ignored upon receipt."

Regards, Mark Doll.

P.S.: I already pointed this out to Andrew and the PIM WG mailing list about
two years ago, but therafter I forgot about it.